### NAME

llength - Count the number of elements in a list

### SYNOPSIS

llength list

### DESCRIPTION

Treats list as a list and returns a decimal string giving the number of elements in it.

### EXAMPLES

The result is the number of elements:

    % llength {a b c d e}
    5
    % llength {a b c}
    3
    % llength {}
    0

Elements are not guaranteed to be exactly words in a dictionary sense of course, especially when quoting is used:

    % llength {a b {c d} e}
    4
    % llength {a b { } c d e}
    6

An empty list is not necessarily an empty string:

    % set var { }; puts "[string length $var],[llength $var]"
    1,0

### SEE ALSO

list, lappend, lindex, linsert, lsearch, lset, lsort, lrange, lreplace

### KEYWORDS

element, list, length

    Copyright © 1993 The Regents of the University of California.
    Copyright © 1994-1996 Sun Microsystems, Inc.
    Copyright © 2001 Kevin B. Kenny. All rights reserved.
    Copyright © 1995-1997 Roger E. Critchlow Jr.